{include file="index/head" /}
<style type="text/css">
.process{ padding:12px; overflow:hidden;}
.process .processbox{ position:relative; height:300px; padding-top:40px;}
.process .processbox #prosbfb{ position:absolute; top:0;}
.process .processbar{height:15px; width:100%; overflow:hidden; position:absolute; top:23px; left:0; background:#ddd;  border-radius:3px;}
.process .processbar span{  background-image: linear-gradient(45deg, #0d93f0, #0eb9f8); top:0; display:block; position:absolute; left:0; width:0%; height:100%; }
.process .processbar span i{ position:absolute; top:-25px; right:0px; color:#333; font-size:15px;}
.process .processfina{ overflow-y:auto; height:100%;}
.process .processfina li{ line-height:24px; font-size:14px;}
</style>
<div class="process">
    <div class="processbox">
    <p id="prosbfb"></p>
    <div class="processbar"><span></span></div>
    <ul class="processfina">       
    </ul>
    </div>
</div>
<script src="__PUBLIC__/public/admin/js/ax.js"></script>
<script type="text/javascript">
var timer = setInterval("send()",300);	 
var p = 1;
function send(){
	var ajax = new $ax("{$url}", function(data){
		if(data.status == 0){
			clearInterval(timer);		
			$("#prosbfb").html('生成进度：100%');		
			$(".processbar span").animate({'width':'100%'},300);
			setTimeout(function(){
				//parent.layer.closeAll();					
			},1000)
		}else{
			$("#prosbfb").html('生成进度：'+data.process+'%');
			$(".processbar span").animate({'width':data.process+'%'},300);
			var arr = data.data;
			for(var i = 0; i < arr.length; i++){
				$(".processfina").append('<li>'+arr[i]+'</li>');
			}
		}
	});
	ajax.set('process_page',p++);
	ajax.set('process_nid','{$nid}');
	ajax.set('htmlpath','{$htmlpath}');
	{php}if($isdetail){{/php}
	ajax.set('process_startId','{$startId}');
	ajax.set('process_endId','{$endId}');
	ajax.set('process_num','{$num}');
	{php}}{/php}
	ajax.start();
}
</script>